Skip to content

OpenAPI Spec

GET
/v1/time-entries/spec

Get OpenAPI 3.1.0 spec for TimeEntry API

Responses

Returns OpenAPI 3.1.0 spec for TimeEntry API

application/json
JSON
{
}

Playground

Samples


List TimeEntries

GET
/v1/time-entries

List TimeEntries

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Query Parameters

page
Type
number
Minimum
0
Default
0
size
Type
number
Minimum
1
Maximum
20
Default
10
id
typeId
assignmentId
eventId
eventTypeId
userId
startsAt
endsAt
externalId
createdAt
updatedAt

Responses

List response

application/json
JSON
{
"page": 0,
"pages": 0,
"size": 10,
"items": [
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"duration": 0,
"pausedAt": "string",
"note": "string",
"userId": 0,
"assignmentId": 0,
"eventId": 0,
"eventTypeId": 0,
"startLatitude": 0,
"startLongitude": 0,
"startTrackingError": "string",
"endLatitude": 0,
"endLongitude": 0,
"endTrackingError": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Create a new TimeEntry

POST
/v1/time-entries

Create a new TimeEntry

Authorizations

apiKey
Type
HTTP (bearer)

Request Body

application/json
JSON
{
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"note": "string",
"userId": 0,
"assignmentId": 0,
"eventId": 0,
"eventTypeId": 0,
"startLatitude": 0,
"startLongitude": 0,
"startTrackingError": "string",
"endLatitude": 0,
"endLongitude": 0,
"endTrackingError": "string",
"externalId": "string"
}

Responses

TimeEntry found

application/json
JSON
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"duration": 0,
"pausedAt": "string",
"note": "string",
"userId": 0,
"assignmentId": 0,
"eventId": 0,
"eventTypeId": 0,
"startLatitude": 0,
"startLongitude": 0,
"startTrackingError": "string",
"endLatitude": 0,
"endLongitude": 0,
"endTrackingError": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Body

Samples


Get a TimeEntry

GET
/v1/time-entries/{timeEntryId}

Get a TimeEntry by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeEntryId*
Type
integer
Required
Format
"int32"

Responses

TimeEntry found

application/json
JSON
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"duration": 0,
"pausedAt": "string",
"note": "string",
"userId": 0,
"assignmentId": 0,
"eventId": 0,
"eventTypeId": 0,
"startLatitude": 0,
"startLongitude": 0,
"startTrackingError": "string",
"endLatitude": 0,
"endLongitude": 0,
"endTrackingError": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value

Samples


Delete a TimeEntry

DELETE
/v1/time-entries/{timeEntryId}

Delete a TimeEntry by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeEntryId*
Type
integer
Required
Format
"int32"

Responses

Successfully removed

Playground

Server
Authorization
Variables
Key
Value

Samples


Update a TimeEntry

PATCH
/v1/time-entries/{timeEntryId}

Update a TimeEntry by ID

Authorizations

apiKey
Type
HTTP (bearer)

Parameters

Path Parameters

timeEntryId*
Type
integer
Required
Format
"int32"

Request Body

application/json
JSON
{
"startsAt": "string",
"endsAt": "string",
"pausedAt": "string",
"note": "string",
"endLatitude": 0,
"endLongitude": 0,
"endTrackingError": "string",
"externalId": "string"
}

Responses

TimeEntry found

application/json
JSON
{
"id": 0,
"typeId": 0,
"startsAt": "string",
"endsAt": "string",
"duration": 0,
"pausedAt": "string",
"note": "string",
"userId": 0,
"assignmentId": 0,
"eventId": 0,
"eventTypeId": 0,
"startLatitude": 0,
"startLongitude": 0,
"startTrackingError": "string",
"endLatitude": 0,
"endLongitude": 0,
"endTrackingError": "string",
"externalId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples